IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network244.96.0.0/12
Usable hosts1,048,574
Subnet mask255.240.0.0
Addresses1,048,576
- Network address
244.96.0.0- Broadcast address
244.111.255.255- First usable
244.96.0.1- Last usable
244.111.255.254- Usable hosts
- 1,048,574 (1,048,576 less the network and broadcast addresses)
- Subnet mask
255.240.0.0- Wildcard mask
0.15.255.255(Cisco ACLs, OSPF)- Prefix length
- /12
- Type
- Reserved 240.0.0.0/4
Future use; not usable on most systems - Old class
- E (reserved)
- As numbers
- Hex
F4600000· Integer4099932160to4100980735 - Reverse DNS zones
96.244.in-addr.arpa97.244.in-addr.arpa98.244.in-addr.arpa99.244.in-addr.arpa100.244.in-addr.arpa101.244.in-addr.arpa102.244.in-addr.arpa103.244.in-addr.arpa104.244.in-addr.arpa105.244.in-addr.arpa106.244.in-addr.arpa107.244.in-addr.arpa108.244.in-addr.arpa109.244.in-addr.arpa110.244.in-addr.arpa111.244.in-addr.arpa
/12 is not on a 8-bit boundary, so it takes 16 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 11110100.01100000.00000000.00000000 | 244.96.0.0 |
| Subnet mask | 11111111.11110000.00000000.00000000 | 255.240.0.0 |
| Network | 11110100.01100000.00000000.00000000 | 244.96.0.0 |
| Broadcast | 11110100.01101111.11111111.11111111 | 244.111.255.255 |
Split into smaller subnets
/13 (2)/14 (4)/15 (8)/16 (16)/17 (32)/18 (64)/19 (128)/20 (256)/21 (512)/22 (1,024)/23 (2,048)/24 (4,096)
244.96.0.0/12 makes 2,048 subnets of /23; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 244.96.0.0/23 | 244.96.0.1 to 244.96.1.254 | 244.96.1.255 | 510 |
| 2 | 244.96.2.0/23 | 244.96.2.1 to 244.96.3.254 | 244.96.3.255 | 510 |
| 3 | 244.96.4.0/23 | 244.96.4.1 to 244.96.5.254 | 244.96.5.255 | 510 |
| 4 | 244.96.6.0/23 | 244.96.6.1 to 244.96.7.254 | 244.96.7.255 | 510 |
| 5 | 244.96.8.0/23 | 244.96.8.1 to 244.96.9.254 | 244.96.9.255 | 510 |
| 6 | 244.96.10.0/23 | 244.96.10.1 to 244.96.11.254 | 244.96.11.255 | 510 |
| 7 | 244.96.12.0/23 | 244.96.12.1 to 244.96.13.254 | 244.96.13.255 | 510 |
| 8 | 244.96.14.0/23 | 244.96.14.1 to 244.96.15.254 | 244.96.15.255 | 510 |
| 9 | 244.96.16.0/23 | 244.96.16.1 to 244.96.17.254 | 244.96.17.255 | 510 |
| 10 | 244.96.18.0/23 | 244.96.18.1 to 244.96.19.254 | 244.96.19.255 | 510 |
| 11 | 244.96.20.0/23 | 244.96.20.1 to 244.96.21.254 | 244.96.21.255 | 510 |
| 12 | 244.96.22.0/23 | 244.96.22.1 to 244.96.23.254 | 244.96.23.255 | 510 |
| 13 | 244.96.24.0/23 | 244.96.24.1 to 244.96.25.254 | 244.96.25.255 | 510 |
| 14 | 244.96.26.0/23 | 244.96.26.1 to 244.96.27.254 | 244.96.27.255 | 510 |
| 15 | 244.96.28.0/23 | 244.96.28.1 to 244.96.29.254 | 244.96.29.255 | 510 |
| 16 | 244.96.30.0/23 | 244.96.30.1 to 244.96.31.254 | 244.96.31.255 | 510 |
| 17 | 244.96.32.0/23 | 244.96.32.1 to 244.96.33.254 | 244.96.33.255 | 510 |
| 18 | 244.96.34.0/23 | 244.96.34.1 to 244.96.35.254 | 244.96.35.255 | 510 |
| 19 | 244.96.36.0/23 | 244.96.36.1 to 244.96.37.254 | 244.96.37.255 | 510 |
| 20 | 244.96.38.0/23 | 244.96.38.1 to 244.96.39.254 | 244.96.39.255 | 510 |
| 21 | 244.96.40.0/23 | 244.96.40.1 to 244.96.41.254 | 244.96.41.255 | 510 |
| 22 | 244.96.42.0/23 | 244.96.42.1 to 244.96.43.254 | 244.96.43.255 | 510 |
| 23 | 244.96.44.0/23 | 244.96.44.1 to 244.96.45.254 | 244.96.45.255 | 510 |
| 24 | 244.96.46.0/23 | 244.96.46.1 to 244.96.47.254 | 244.96.47.255 | 510 |
| 25 | 244.96.48.0/23 | 244.96.48.1 to 244.96.49.254 | 244.96.49.255 | 510 |
| 26 | 244.96.50.0/23 | 244.96.50.1 to 244.96.51.254 | 244.96.51.255 | 510 |
| 27 | 244.96.52.0/23 | 244.96.52.1 to 244.96.53.254 | 244.96.53.255 | 510 |
| 28 | 244.96.54.0/23 | 244.96.54.1 to 244.96.55.254 | 244.96.55.255 | 510 |
| 29 | 244.96.56.0/23 | 244.96.56.1 to 244.96.57.254 | 244.96.57.255 | 510 |
| 30 | 244.96.58.0/23 | 244.96.58.1 to 244.96.59.254 | 244.96.59.255 | 510 |
| 31 | 244.96.60.0/23 | 244.96.60.1 to 244.96.61.254 | 244.96.61.255 | 510 |
| 32 | 244.96.62.0/23 | 244.96.62.1 to 244.96.63.254 | 244.96.63.255 | 510 |
| 33 | 244.96.64.0/23 | 244.96.64.1 to 244.96.65.254 | 244.96.65.255 | 510 |
| 34 | 244.96.66.0/23 | 244.96.66.1 to 244.96.67.254 | 244.96.67.255 | 510 |
| 35 | 244.96.68.0/23 | 244.96.68.1 to 244.96.69.254 | 244.96.69.255 | 510 |
| 36 | 244.96.70.0/23 | 244.96.70.1 to 244.96.71.254 | 244.96.71.255 | 510 |
| 37 | 244.96.72.0/23 | 244.96.72.1 to 244.96.73.254 | 244.96.73.255 | 510 |
| 38 | 244.96.74.0/23 | 244.96.74.1 to 244.96.75.254 | 244.96.75.255 | 510 |
| 39 | 244.96.76.0/23 | 244.96.76.1 to 244.96.77.254 | 244.96.77.255 | 510 |
| 40 | 244.96.78.0/23 | 244.96.78.1 to 244.96.79.254 | 244.96.79.255 | 510 |
| 41 | 244.96.80.0/23 | 244.96.80.1 to 244.96.81.254 | 244.96.81.255 | 510 |
| 42 | 244.96.82.0/23 | 244.96.82.1 to 244.96.83.254 | 244.96.83.255 | 510 |
| 43 | 244.96.84.0/23 | 244.96.84.1 to 244.96.85.254 | 244.96.85.255 | 510 |
| 44 | 244.96.86.0/23 | 244.96.86.1 to 244.96.87.254 | 244.96.87.255 | 510 |
| 45 | 244.96.88.0/23 | 244.96.88.1 to 244.96.89.254 | 244.96.89.255 | 510 |
| 46 | 244.96.90.0/23 | 244.96.90.1 to 244.96.91.254 | 244.96.91.255 | 510 |
| 47 | 244.96.92.0/23 | 244.96.92.1 to 244.96.93.254 | 244.96.93.255 | 510 |
| 48 | 244.96.94.0/23 | 244.96.94.1 to 244.96.95.254 | 244.96.95.255 | 510 |
| 49 | 244.96.96.0/23 | 244.96.96.1 to 244.96.97.254 | 244.96.97.255 | 510 |
| 50 | 244.96.98.0/23 | 244.96.98.1 to 244.96.99.254 | 244.96.99.255 | 510 |
| 51 | 244.96.100.0/23 | 244.96.100.1 to 244.96.101.254 | 244.96.101.255 | 510 |
| 52 | 244.96.102.0/23 | 244.96.102.1 to 244.96.103.254 | 244.96.103.255 | 510 |
| 53 | 244.96.104.0/23 | 244.96.104.1 to 244.96.105.254 | 244.96.105.255 | 510 |
| 54 | 244.96.106.0/23 | 244.96.106.1 to 244.96.107.254 | 244.96.107.255 | 510 |
| 55 | 244.96.108.0/23 | 244.96.108.1 to 244.96.109.254 | 244.96.109.255 | 510 |
| 56 | 244.96.110.0/23 | 244.96.110.1 to 244.96.111.254 | 244.96.111.255 | 510 |
| 57 | 244.96.112.0/23 | 244.96.112.1 to 244.96.113.254 | 244.96.113.255 | 510 |
| 58 | 244.96.114.0/23 | 244.96.114.1 to 244.96.115.254 | 244.96.115.255 | 510 |
| 59 | 244.96.116.0/23 | 244.96.116.1 to 244.96.117.254 | 244.96.117.255 | 510 |
| 60 | 244.96.118.0/23 | 244.96.118.1 to 244.96.119.254 | 244.96.119.255 | 510 |
| 61 | 244.96.120.0/23 | 244.96.120.1 to 244.96.121.254 | 244.96.121.255 | 510 |
| 62 | 244.96.122.0/23 | 244.96.122.1 to 244.96.123.254 | 244.96.123.255 | 510 |
| 63 | 244.96.124.0/23 | 244.96.124.1 to 244.96.125.254 | 244.96.125.255 | 510 |
| 64 | 244.96.126.0/23 | 244.96.126.1 to 244.96.127.254 | 244.96.127.255 | 510 |
| 65 | 244.96.128.0/23 | 244.96.128.1 to 244.96.129.254 | 244.96.129.255 | 510 |
| 66 | 244.96.130.0/23 | 244.96.130.1 to 244.96.131.254 | 244.96.131.255 | 510 |
| 67 | 244.96.132.0/23 | 244.96.132.1 to 244.96.133.254 | 244.96.133.255 | 510 |
| 68 | 244.96.134.0/23 | 244.96.134.1 to 244.96.135.254 | 244.96.135.255 | 510 |
| 69 | 244.96.136.0/23 | 244.96.136.1 to 244.96.137.254 | 244.96.137.255 | 510 |
| 70 | 244.96.138.0/23 | 244.96.138.1 to 244.96.139.254 | 244.96.139.255 | 510 |
| 71 | 244.96.140.0/23 | 244.96.140.1 to 244.96.141.254 | 244.96.141.255 | 510 |
| 72 | 244.96.142.0/23 | 244.96.142.1 to 244.96.143.254 | 244.96.143.255 | 510 |
| 73 | 244.96.144.0/23 | 244.96.144.1 to 244.96.145.254 | 244.96.145.255 | 510 |
| 74 | 244.96.146.0/23 | 244.96.146.1 to 244.96.147.254 | 244.96.147.255 | 510 |
| 75 | 244.96.148.0/23 | 244.96.148.1 to 244.96.149.254 | 244.96.149.255 | 510 |
| 76 | 244.96.150.0/23 | 244.96.150.1 to 244.96.151.254 | 244.96.151.255 | 510 |
| 77 | 244.96.152.0/23 | 244.96.152.1 to 244.96.153.254 | 244.96.153.255 | 510 |
| 78 | 244.96.154.0/23 | 244.96.154.1 to 244.96.155.254 | 244.96.155.255 | 510 |
| 79 | 244.96.156.0/23 | 244.96.156.1 to 244.96.157.254 | 244.96.157.255 | 510 |
| 80 | 244.96.158.0/23 | 244.96.158.1 to 244.96.159.254 | 244.96.159.255 | 510 |
| 81 | 244.96.160.0/23 | 244.96.160.1 to 244.96.161.254 | 244.96.161.255 | 510 |
| 82 | 244.96.162.0/23 | 244.96.162.1 to 244.96.163.254 | 244.96.163.255 | 510 |
| 83 | 244.96.164.0/23 | 244.96.164.1 to 244.96.165.254 | 244.96.165.255 | 510 |
| 84 | 244.96.166.0/23 | 244.96.166.1 to 244.96.167.254 | 244.96.167.255 | 510 |
| 85 | 244.96.168.0/23 | 244.96.168.1 to 244.96.169.254 | 244.96.169.255 | 510 |
| 86 | 244.96.170.0/23 | 244.96.170.1 to 244.96.171.254 | 244.96.171.255 | 510 |
| 87 | 244.96.172.0/23 | 244.96.172.1 to 244.96.173.254 | 244.96.173.255 | 510 |
| 88 | 244.96.174.0/23 | 244.96.174.1 to 244.96.175.254 | 244.96.175.255 | 510 |
| 89 | 244.96.176.0/23 | 244.96.176.1 to 244.96.177.254 | 244.96.177.255 | 510 |
| 90 | 244.96.178.0/23 | 244.96.178.1 to 244.96.179.254 | 244.96.179.255 | 510 |
| 91 | 244.96.180.0/23 | 244.96.180.1 to 244.96.181.254 | 244.96.181.255 | 510 |
| 92 | 244.96.182.0/23 | 244.96.182.1 to 244.96.183.254 | 244.96.183.255 | 510 |
| 93 | 244.96.184.0/23 | 244.96.184.1 to 244.96.185.254 | 244.96.185.255 | 510 |
| 94 | 244.96.186.0/23 | 244.96.186.1 to 244.96.187.254 | 244.96.187.255 | 510 |
| 95 | 244.96.188.0/23 | 244.96.188.1 to 244.96.189.254 | 244.96.189.255 | 510 |
| 96 | 244.96.190.0/23 | 244.96.190.1 to 244.96.191.254 | 244.96.191.255 | 510 |
| 97 | 244.96.192.0/23 | 244.96.192.1 to 244.96.193.254 | 244.96.193.255 | 510 |
| 98 | 244.96.194.0/23 | 244.96.194.1 to 244.96.195.254 | 244.96.195.255 | 510 |
| 99 | 244.96.196.0/23 | 244.96.196.1 to 244.96.197.254 | 244.96.197.255 | 510 |
| 100 | 244.96.198.0/23 | 244.96.198.1 to 244.96.199.254 | 244.96.199.255 | 510 |
| 101 | 244.96.200.0/23 | 244.96.200.1 to 244.96.201.254 | 244.96.201.255 | 510 |
| 102 | 244.96.202.0/23 | 244.96.202.1 to 244.96.203.254 | 244.96.203.255 | 510 |
| 103 | 244.96.204.0/23 | 244.96.204.1 to 244.96.205.254 | 244.96.205.255 | 510 |
| 104 | 244.96.206.0/23 | 244.96.206.1 to 244.96.207.254 | 244.96.207.255 | 510 |
| 105 | 244.96.208.0/23 | 244.96.208.1 to 244.96.209.254 | 244.96.209.255 | 510 |
| 106 | 244.96.210.0/23 | 244.96.210.1 to 244.96.211.254 | 244.96.211.255 | 510 |
| 107 | 244.96.212.0/23 | 244.96.212.1 to 244.96.213.254 | 244.96.213.255 | 510 |
| 108 | 244.96.214.0/23 | 244.96.214.1 to 244.96.215.254 | 244.96.215.255 | 510 |
| 109 | 244.96.216.0/23 | 244.96.216.1 to 244.96.217.254 | 244.96.217.255 | 510 |
| 110 | 244.96.218.0/23 | 244.96.218.1 to 244.96.219.254 | 244.96.219.255 | 510 |
| 111 | 244.96.220.0/23 | 244.96.220.1 to 244.96.221.254 | 244.96.221.255 | 510 |
| 112 | 244.96.222.0/23 | 244.96.222.1 to 244.96.223.254 | 244.96.223.255 | 510 |
| 113 | 244.96.224.0/23 | 244.96.224.1 to 244.96.225.254 | 244.96.225.255 | 510 |
| 114 | 244.96.226.0/23 | 244.96.226.1 to 244.96.227.254 | 244.96.227.255 | 510 |
| 115 | 244.96.228.0/23 | 244.96.228.1 to 244.96.229.254 | 244.96.229.255 | 510 |
| 116 | 244.96.230.0/23 | 244.96.230.1 to 244.96.231.254 | 244.96.231.255 | 510 |
| 117 | 244.96.232.0/23 | 244.96.232.1 to 244.96.233.254 | 244.96.233.255 | 510 |
| 118 | 244.96.234.0/23 | 244.96.234.1 to 244.96.235.254 | 244.96.235.255 | 510 |
| 119 | 244.96.236.0/23 | 244.96.236.1 to 244.96.237.254 | 244.96.237.255 | 510 |
| 120 | 244.96.238.0/23 | 244.96.238.1 to 244.96.239.254 | 244.96.239.255 | 510 |
| 121 | 244.96.240.0/23 | 244.96.240.1 to 244.96.241.254 | 244.96.241.255 | 510 |
| 122 | 244.96.242.0/23 | 244.96.242.1 to 244.96.243.254 | 244.96.243.255 | 510 |
| 123 | 244.96.244.0/23 | 244.96.244.1 to 244.96.245.254 | 244.96.245.255 | 510 |
| 124 | 244.96.246.0/23 | 244.96.246.1 to 244.96.247.254 | 244.96.247.255 | 510 |
| 125 | 244.96.248.0/23 | 244.96.248.1 to 244.96.249.254 | 244.96.249.255 | 510 |
| 126 | 244.96.250.0/23 | 244.96.250.1 to 244.96.251.254 | 244.96.251.255 | 510 |
| 127 | 244.96.252.0/23 | 244.96.252.1 to 244.96.253.254 | 244.96.253.255 | 510 |
| 128 | 244.96.254.0/23 | 244.96.254.1 to 244.96.255.254 | 244.96.255.255 | 510 |
| 129 | 244.97.0.0/23 | 244.97.0.1 to 244.97.1.254 | 244.97.1.255 | 510 |
| 130 | 244.97.2.0/23 | 244.97.2.1 to 244.97.3.254 | 244.97.3.255 | 510 |
| 131 | 244.97.4.0/23 | 244.97.4.1 to 244.97.5.254 | 244.97.5.255 | 510 |
| 132 | 244.97.6.0/23 | 244.97.6.1 to 244.97.7.254 | 244.97.7.255 | 510 |
| 133 | 244.97.8.0/23 | 244.97.8.1 to 244.97.9.254 | 244.97.9.255 | 510 |
| 134 | 244.97.10.0/23 | 244.97.10.1 to 244.97.11.254 | 244.97.11.255 | 510 |
| 135 | 244.97.12.0/23 | 244.97.12.1 to 244.97.13.254 | 244.97.13.255 | 510 |
| 136 | 244.97.14.0/23 | 244.97.14.1 to 244.97.15.254 | 244.97.15.255 | 510 |
| 137 | 244.97.16.0/23 | 244.97.16.1 to 244.97.17.254 | 244.97.17.255 | 510 |
| 138 | 244.97.18.0/23 | 244.97.18.1 to 244.97.19.254 | 244.97.19.255 | 510 |
| 139 | 244.97.20.0/23 | 244.97.20.1 to 244.97.21.254 | 244.97.21.255 | 510 |
| 140 | 244.97.22.0/23 | 244.97.22.1 to 244.97.23.254 | 244.97.23.255 | 510 |
| 141 | 244.97.24.0/23 | 244.97.24.1 to 244.97.25.254 | 244.97.25.255 | 510 |
| 142 | 244.97.26.0/23 | 244.97.26.1 to 244.97.27.254 | 244.97.27.255 | 510 |
| 143 | 244.97.28.0/23 | 244.97.28.1 to 244.97.29.254 | 244.97.29.255 | 510 |
| 144 | 244.97.30.0/23 | 244.97.30.1 to 244.97.31.254 | 244.97.31.255 | 510 |
| 145 | 244.97.32.0/23 | 244.97.32.1 to 244.97.33.254 | 244.97.33.255 | 510 |
| 146 | 244.97.34.0/23 | 244.97.34.1 to 244.97.35.254 | 244.97.35.255 | 510 |
| 147 | 244.97.36.0/23 | 244.97.36.1 to 244.97.37.254 | 244.97.37.255 | 510 |
| 148 | 244.97.38.0/23 | 244.97.38.1 to 244.97.39.254 | 244.97.39.255 | 510 |
| 149 | 244.97.40.0/23 | 244.97.40.1 to 244.97.41.254 | 244.97.41.255 | 510 |
| 150 | 244.97.42.0/23 | 244.97.42.1 to 244.97.43.254 | 244.97.43.255 | 510 |
| 151 | 244.97.44.0/23 | 244.97.44.1 to 244.97.45.254 | 244.97.45.255 | 510 |
| 152 | 244.97.46.0/23 | 244.97.46.1 to 244.97.47.254 | 244.97.47.255 | 510 |
| 153 | 244.97.48.0/23 | 244.97.48.1 to 244.97.49.254 | 244.97.49.255 | 510 |
| 154 | 244.97.50.0/23 | 244.97.50.1 to 244.97.51.254 | 244.97.51.255 | 510 |
| 155 | 244.97.52.0/23 | 244.97.52.1 to 244.97.53.254 | 244.97.53.255 | 510 |
| 156 | 244.97.54.0/23 | 244.97.54.1 to 244.97.55.254 | 244.97.55.255 | 510 |
| 157 | 244.97.56.0/23 | 244.97.56.1 to 244.97.57.254 | 244.97.57.255 | 510 |
| 158 | 244.97.58.0/23 | 244.97.58.1 to 244.97.59.254 | 244.97.59.255 | 510 |
| 159 | 244.97.60.0/23 | 244.97.60.1 to 244.97.61.254 | 244.97.61.255 | 510 |
| 160 | 244.97.62.0/23 | 244.97.62.1 to 244.97.63.254 | 244.97.63.255 | 510 |
| 161 | 244.97.64.0/23 | 244.97.64.1 to 244.97.65.254 | 244.97.65.255 | 510 |
| 162 | 244.97.66.0/23 | 244.97.66.1 to 244.97.67.254 | 244.97.67.255 | 510 |
| 163 | 244.97.68.0/23 | 244.97.68.1 to 244.97.69.254 | 244.97.69.255 | 510 |
| 164 | 244.97.70.0/23 | 244.97.70.1 to 244.97.71.254 | 244.97.71.255 | 510 |
| 165 | 244.97.72.0/23 | 244.97.72.1 to 244.97.73.254 | 244.97.73.255 | 510 |
| 166 | 244.97.74.0/23 | 244.97.74.1 to 244.97.75.254 | 244.97.75.255 | 510 |
| 167 | 244.97.76.0/23 | 244.97.76.1 to 244.97.77.254 | 244.97.77.255 | 510 |
| 168 | 244.97.78.0/23 | 244.97.78.1 to 244.97.79.254 | 244.97.79.255 | 510 |
| 169 | 244.97.80.0/23 | 244.97.80.1 to 244.97.81.254 | 244.97.81.255 | 510 |
| 170 | 244.97.82.0/23 | 244.97.82.1 to 244.97.83.254 | 244.97.83.255 | 510 |
| 171 | 244.97.84.0/23 | 244.97.84.1 to 244.97.85.254 | 244.97.85.255 | 510 |
| 172 | 244.97.86.0/23 | 244.97.86.1 to 244.97.87.254 | 244.97.87.255 | 510 |
| 173 | 244.97.88.0/23 | 244.97.88.1 to 244.97.89.254 | 244.97.89.255 | 510 |
| 174 | 244.97.90.0/23 | 244.97.90.1 to 244.97.91.254 | 244.97.91.255 | 510 |
| 175 | 244.97.92.0/23 | 244.97.92.1 to 244.97.93.254 | 244.97.93.255 | 510 |
| 176 | 244.97.94.0/23 | 244.97.94.1 to 244.97.95.254 | 244.97.95.255 | 510 |
| 177 | 244.97.96.0/23 | 244.97.96.1 to 244.97.97.254 | 244.97.97.255 | 510 |
| 178 | 244.97.98.0/23 | 244.97.98.1 to 244.97.99.254 | 244.97.99.255 | 510 |
| 179 | 244.97.100.0/23 | 244.97.100.1 to 244.97.101.254 | 244.97.101.255 | 510 |
| 180 | 244.97.102.0/23 | 244.97.102.1 to 244.97.103.254 | 244.97.103.255 | 510 |
| 181 | 244.97.104.0/23 | 244.97.104.1 to 244.97.105.254 | 244.97.105.255 | 510 |
| 182 | 244.97.106.0/23 | 244.97.106.1 to 244.97.107.254 | 244.97.107.255 | 510 |
| 183 | 244.97.108.0/23 | 244.97.108.1 to 244.97.109.254 | 244.97.109.255 | 510 |
| 184 | 244.97.110.0/23 | 244.97.110.1 to 244.97.111.254 | 244.97.111.255 | 510 |
| 185 | 244.97.112.0/23 | 244.97.112.1 to 244.97.113.254 | 244.97.113.255 | 510 |
| 186 | 244.97.114.0/23 | 244.97.114.1 to 244.97.115.254 | 244.97.115.255 | 510 |
| 187 | 244.97.116.0/23 | 244.97.116.1 to 244.97.117.254 | 244.97.117.255 | 510 |
| 188 | 244.97.118.0/23 | 244.97.118.1 to 244.97.119.254 | 244.97.119.255 | 510 |
| 189 | 244.97.120.0/23 | 244.97.120.1 to 244.97.121.254 | 244.97.121.255 | 510 |
| 190 | 244.97.122.0/23 | 244.97.122.1 to 244.97.123.254 | 244.97.123.255 | 510 |
| 191 | 244.97.124.0/23 | 244.97.124.1 to 244.97.125.254 | 244.97.125.255 | 510 |
| 192 | 244.97.126.0/23 | 244.97.126.1 to 244.97.127.254 | 244.97.127.255 | 510 |
| 193 | 244.97.128.0/23 | 244.97.128.1 to 244.97.129.254 | 244.97.129.255 | 510 |
| 194 | 244.97.130.0/23 | 244.97.130.1 to 244.97.131.254 | 244.97.131.255 | 510 |
| 195 | 244.97.132.0/23 | 244.97.132.1 to 244.97.133.254 | 244.97.133.255 | 510 |
| 196 | 244.97.134.0/23 | 244.97.134.1 to 244.97.135.254 | 244.97.135.255 | 510 |
| 197 | 244.97.136.0/23 | 244.97.136.1 to 244.97.137.254 | 244.97.137.255 | 510 |
| 198 | 244.97.138.0/23 | 244.97.138.1 to 244.97.139.254 | 244.97.139.255 | 510 |
| 199 | 244.97.140.0/23 | 244.97.140.1 to 244.97.141.254 | 244.97.141.255 | 510 |
| 200 | 244.97.142.0/23 | 244.97.142.1 to 244.97.143.254 | 244.97.143.255 | 510 |
| 201 | 244.97.144.0/23 | 244.97.144.1 to 244.97.145.254 | 244.97.145.255 | 510 |
| 202 | 244.97.146.0/23 | 244.97.146.1 to 244.97.147.254 | 244.97.147.255 | 510 |
| 203 | 244.97.148.0/23 | 244.97.148.1 to 244.97.149.254 | 244.97.149.255 | 510 |
| 204 | 244.97.150.0/23 | 244.97.150.1 to 244.97.151.254 | 244.97.151.255 | 510 |
| 205 | 244.97.152.0/23 | 244.97.152.1 to 244.97.153.254 | 244.97.153.255 | 510 |
| 206 | 244.97.154.0/23 | 244.97.154.1 to 244.97.155.254 | 244.97.155.255 | 510 |
| 207 | 244.97.156.0/23 | 244.97.156.1 to 244.97.157.254 | 244.97.157.255 | 510 |
| 208 | 244.97.158.0/23 | 244.97.158.1 to 244.97.159.254 | 244.97.159.255 | 510 |
| 209 | 244.97.160.0/23 | 244.97.160.1 to 244.97.161.254 | 244.97.161.255 | 510 |
| 210 | 244.97.162.0/23 | 244.97.162.1 to 244.97.163.254 | 244.97.163.255 | 510 |
| 211 | 244.97.164.0/23 | 244.97.164.1 to 244.97.165.254 | 244.97.165.255 | 510 |
| 212 | 244.97.166.0/23 | 244.97.166.1 to 244.97.167.254 | 244.97.167.255 | 510 |
| 213 | 244.97.168.0/23 | 244.97.168.1 to 244.97.169.254 | 244.97.169.255 | 510 |
| 214 | 244.97.170.0/23 | 244.97.170.1 to 244.97.171.254 | 244.97.171.255 | 510 |
| 215 | 244.97.172.0/23 | 244.97.172.1 to 244.97.173.254 | 244.97.173.255 | 510 |
| 216 | 244.97.174.0/23 | 244.97.174.1 to 244.97.175.254 | 244.97.175.255 | 510 |
| 217 | 244.97.176.0/23 | 244.97.176.1 to 244.97.177.254 | 244.97.177.255 | 510 |
| 218 | 244.97.178.0/23 | 244.97.178.1 to 244.97.179.254 | 244.97.179.255 | 510 |
| 219 | 244.97.180.0/23 | 244.97.180.1 to 244.97.181.254 | 244.97.181.255 | 510 |
| 220 | 244.97.182.0/23 | 244.97.182.1 to 244.97.183.254 | 244.97.183.255 | 510 |
| 221 | 244.97.184.0/23 | 244.97.184.1 to 244.97.185.254 | 244.97.185.255 | 510 |
| 222 | 244.97.186.0/23 | 244.97.186.1 to 244.97.187.254 | 244.97.187.255 | 510 |
| 223 | 244.97.188.0/23 | 244.97.188.1 to 244.97.189.254 | 244.97.189.255 | 510 |
| 224 | 244.97.190.0/23 | 244.97.190.1 to 244.97.191.254 | 244.97.191.255 | 510 |
| 225 | 244.97.192.0/23 | 244.97.192.1 to 244.97.193.254 | 244.97.193.255 | 510 |
| 226 | 244.97.194.0/23 | 244.97.194.1 to 244.97.195.254 | 244.97.195.255 | 510 |
| 227 | 244.97.196.0/23 | 244.97.196.1 to 244.97.197.254 | 244.97.197.255 | 510 |
| 228 | 244.97.198.0/23 | 244.97.198.1 to 244.97.199.254 | 244.97.199.255 | 510 |
| 229 | 244.97.200.0/23 | 244.97.200.1 to 244.97.201.254 | 244.97.201.255 | 510 |
| 230 | 244.97.202.0/23 | 244.97.202.1 to 244.97.203.254 | 244.97.203.255 | 510 |
| 231 | 244.97.204.0/23 | 244.97.204.1 to 244.97.205.254 | 244.97.205.255 | 510 |
| 232 | 244.97.206.0/23 | 244.97.206.1 to 244.97.207.254 | 244.97.207.255 | 510 |
| 233 | 244.97.208.0/23 | 244.97.208.1 to 244.97.209.254 | 244.97.209.255 | 510 |
| 234 | 244.97.210.0/23 | 244.97.210.1 to 244.97.211.254 | 244.97.211.255 | 510 |
| 235 | 244.97.212.0/23 | 244.97.212.1 to 244.97.213.254 | 244.97.213.255 | 510 |
| 236 | 244.97.214.0/23 | 244.97.214.1 to 244.97.215.254 | 244.97.215.255 | 510 |
| 237 | 244.97.216.0/23 | 244.97.216.1 to 244.97.217.254 | 244.97.217.255 | 510 |
| 238 | 244.97.218.0/23 | 244.97.218.1 to 244.97.219.254 | 244.97.219.255 | 510 |
| 239 | 244.97.220.0/23 | 244.97.220.1 to 244.97.221.254 | 244.97.221.255 | 510 |
| 240 | 244.97.222.0/23 | 244.97.222.1 to 244.97.223.254 | 244.97.223.255 | 510 |
| 241 | 244.97.224.0/23 | 244.97.224.1 to 244.97.225.254 | 244.97.225.255 | 510 |
| 242 | 244.97.226.0/23 | 244.97.226.1 to 244.97.227.254 | 244.97.227.255 | 510 |
| 243 | 244.97.228.0/23 | 244.97.228.1 to 244.97.229.254 | 244.97.229.255 | 510 |
| 244 | 244.97.230.0/23 | 244.97.230.1 to 244.97.231.254 | 244.97.231.255 | 510 |
| 245 | 244.97.232.0/23 | 244.97.232.1 to 244.97.233.254 | 244.97.233.255 | 510 |
| 246 | 244.97.234.0/23 | 244.97.234.1 to 244.97.235.254 | 244.97.235.255 | 510 |
| 247 | 244.97.236.0/23 | 244.97.236.1 to 244.97.237.254 | 244.97.237.255 | 510 |
| 248 | 244.97.238.0/23 | 244.97.238.1 to 244.97.239.254 | 244.97.239.255 | 510 |
| 249 | 244.97.240.0/23 | 244.97.240.1 to 244.97.241.254 | 244.97.241.255 | 510 |
| 250 | 244.97.242.0/23 | 244.97.242.1 to 244.97.243.254 | 244.97.243.255 | 510 |
| 251 | 244.97.244.0/23 | 244.97.244.1 to 244.97.245.254 | 244.97.245.255 | 510 |
| 252 | 244.97.246.0/23 | 244.97.246.1 to 244.97.247.254 | 244.97.247.255 | 510 |
| 253 | 244.97.248.0/23 | 244.97.248.1 to 244.97.249.254 | 244.97.249.255 | 510 |
| 254 | 244.97.250.0/23 | 244.97.250.1 to 244.97.251.254 | 244.97.251.255 | 510 |
| 255 | 244.97.252.0/23 | 244.97.252.1 to 244.97.253.254 | 244.97.253.255 | 510 |
| 256 | 244.97.254.0/23 | 244.97.254.1 to 244.97.255.254 | 244.97.255.255 | 510 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |